Doomsday Engine - Bug #2437

Application terminated due to exception: std::bad_alloc
2020-12-04 23:56 - noloader

Status: New Start date: 2020-12-04
Priority: Normal % Done: 0%
Assignee: Deng Team
Category:

Target version:

Description
Hi Everyone,

Today is my first day with doomsday. My apologies if | did something wrong. | installed doomsday from Ubuntu's 18.04 repo.

From the command line | started the program with "doomsday’. | was working through the tutorial. At the part about the command
interpreter and entering "help", I tried it. | clicked in the interpreter area and tried to type "help". The screen kind of froze for a moment
and then the app exited. Below is the log from the terminal window.

Here's the Ubuntu package details.

$ apt-cache show doomsday

Package: doomsday

Architecture: amd64

Version: 1.15.8-5buildl

Priority: optional

Section: universe/games

Origin: Ubuntu

Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>

Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>

Bugs: https://bugs.launchpad.net/ubuntu/+filebug

Installed-Size: 4596

Provides: boom-engine, doom-engine, heretic-engine, hexen-engine

Depends: doomsday-common (>= 1.15.8-5buildl), libc6 (>= 2.14), libgccl (>= 1:3.0), libgll-mesa-glx
| 1ibgll, libgt4-network (>= 4:4.6.1), libgt4-opengl (>= 4:4.7.0~betal), libgtcored4d (>= 4:4.7.0~b

etal), libgtgui4 (>= 4:4.7.0~betal), libsdl2-2.0-0 (>= 2.0.7), libsdl2-mixer-2.0-0 (>= 2.0.2), 1lib

stdc++6 (>= 5.2), doomsday-data (>= 1.15.8-5buildl), doomsday-data (<< 1.15.8-5buildl.1l~), doomsda

y—common (<< 1.15.8-5buildl.1l~)

Recommends: fluid-soundfont-gm

Filename: pool/universe/d/doomsday/doomsday_1.15.8-5buildl_amd64.deb

Size: 1390408

MD5sum: 3960e7c024c3d59cab6ebbf6b9bbc4dct

SHAl: 761df90ab759770222648090754c17a14949%adbb

SHA256: adf7695d0931£fa49253c69c088££840279¢c127131307d47d9001faf99%edcdf3a

Homepage: http://www.dengine.net

Here's the log from the terminal.

$ doomsday

Application path: /usr/games/doomsday

Created a new 32.0 MB memory volume.

Folder > DirectoryFeed::prune: Pruning "/home/jwalton/.doomsday/runtime/persist.pack":

status has changed
Executable: Doomsday Engine 1.15.8 [#1.15.8-5buildl] (Stable 64-bit)
Command line options:
0: doomsday

RenderSystem: Loading shader definitions from read-only archive entry "renderer.pack/
shaders.dei" from archive in read-only " (basedir)/data/
net.dengine.client.pack"

Loading shader definitions from read-only archive entry "renderer.pack/

lensflares.pack/shaders.dei" from archive in read-only " (basedir)/data/

net.dengine.client.pack"
libpng
libpng
libpng
warning: iCCP: known incorrect sRGB profile
warning: iCCP: known incorrect sRGB profile
warning: iCCP: known incorrect sRGB profile
warning: iCCP: known incorrect sRGB profile
warning: iCCP: known incorrect sRGB profile

Joystick_TInit: Joystick name: usb gamepad

loadAudioDriver: Loading of "fmod" failed

Failed
OpenGL

initializing audio driver "FMOD"
3.3 supported

Sys_GLInitialize: OpenGL information:
Version: 4.6.0 NVIDIA 450.80.02
Renderer: GeForce GTX 1060 6GB/PCIe/SSE2

Vendor: NVIDIA Corporation
Capabilities:

Compressed texture formats: 51

Use texture compression: no

Available texture units: 4

Maximum texture anisotropy: 16

Maximum texture size: 32768
Line width granularity: 0.125
Line width range: 0.5...10

A

OpenGL Extensions:

AMD extensions:

multi_draw_indirect, seamless_cubemap_per_texture, vertex_shader_layer,
vertex_shader_viewport_index

ARB extensions:

ES2_compatibility, ES3_1_compatibility, ES3_2_compatibility, ES3_compatibility,
arrays_of_arrays, base_instance, bindless_texture, blend_func_extended,
buffer_storage, clear_buffer_object, clear_texture, clip_control,

color_buffer_ float, compatibility, compressed_texture_pixel_ storage,
compute_shader, compute_variable_group_size, conditional_render_inverted,
conservative_depth, copy_buffer, copy_image, cull_distance, debug_output,
depth_buffer float, depth_clamp, depth_texture, derivative_control,
direct_state_access, draw_buffers, draw_buffers_blend, draw_elements_base_vertex,
draw_indirect, draw_instanced, enhanced_layouts, explicit_attrib_location,
explicit_uniform_location, fragment_coord_conventions, fragment_layer_viewport,
fragment_program, fragment_program_shadow, fragment_shader,
fragment_shader_interlock, framebuffer_no_attachments, framebuffer_object,
framebuffer_ sRGB, geometry_shader4, get_program_binary, get_texture_sub_image,
gl_spirv, gpu_shader5, gpu_shader_fp64, gpu_shader_int64, half_float_pixel,
half_ float_vertex, imaging, indirect_parameters, instanced_arrays,
internalformat_query, internalformat_query2, invalidate_subdata,
map_buffer_alignment, map_buffer_range, multi_bind, multi_draw_indirect,
multisample, multitexture, occlusion_query, occlusion_query2,
parallel_shader_compile, pipeline_statistics_query, pixel_buffer_object,
point_parameters, point_sprite, polygon_offset_clamp, post_depth_coverage,
program_interface_qguery, provoking_ vertex, query_buffer_ object,
robust_buffer_access_behavior, robustness, sample_locations, sample_shading,
sampler_objects, seamless_cube_map, seamless_cubemap_per_texture,
separate_shader_objects, shader_atomic_counter_ops, shader_atomic_counters,
shader_ballot, shader_bit_encoding, shader_clock, shader_draw_parameters,
shader_group_vote, shader_image_load_store, shader_image_size, shader_objects,
shader_precision, shader_storage_buffer_object, shader_subroutine,
shader_texture_image_samples, shader_texture_lod, shader_viewport_layer_array,
shading_language_100, shading_language_420pack, shading_language_include,
shading_language_packing, shadow, sparse_buffer, sparse_texture, sparse_texture?2,
sparse_texture_clamp, spirv_extensions, stencil_texturing, sync,
tessellation_shader, texture_barrier, texture_border_clamp,
texture_buffer_object, texture_buffer_object_rgb32, texture_buffer_range,
texture_compression, texture_compression_bptc, texture_compression_rgtc,
texture_cube_map, texture_cube_map_array, texture_env_add, texture_env_combine,
texture_env_crossbar, texture_env_dot3, texture_filter_anisotropic,
texture_filter_minmax, texture_float, texture_gather,
texture_mirror_clamp_to_edge, texture_mirrored_repeat, texture_multisample,
texture_non_power_of_two, texture_query_levels, texture_qguery_lod,
texture_rectangle, texture_rg, texture_rgblO_a2ui, texture_stencils,
texture_storage, texture_storage_multisample, texture_swizzle, texture_view,
timer_query, transform_feedback2, transform_feedback3,
transform_feedback_instanced, transform_ feedback_overflow_query,
transpose_matrix, uniform _buffer_object, vertex_array_bgra, vertex_array_object,
vertex_attrib_64bit, vertex_attrib_binding, vertex_buffer_object, vertex_program,
vertex_shader, vertex_type_10f_11f 11f_ rev, vertex_type_2_10_10_10_rev,
viewport_array, window_pos

ATI extensions:

draw_buffers, texture_float, texture_mirror_once

EXT extensions:

Cg_shader, abgr, bgra, bindable_uniform, blend_color, blend_equation_separate,
blend_func_separate, blend_minmax, blend_subtract, compiled_vertex_array,
depth_bounds_test, direct_state_access, draw_buffers2, draw_instanced,
draw_range_elements, fog_coord, framebuffer_blit, framebuffer_multisample,
framebuffer_multisample_blit_scaled, framebuffer_object, framebuffer_sRGB,
geometry_shader4, gpu_program_parameters, gpu_shader4, import_sync_object,
memory_obJject, memory_object_fd, multi_draw_arrays,
multiview_texture_multisample, multiview_timer_qguery, packed_depth_stencil,
packed_float, packed_pixels, pixel_buffer_object, point_parameters,
polygon_offset_clamp, post_depth_coverage, provoking_vertex, raster_multisample,
rescale_normal, secondary_color, semaphore, semaphore_fd,
separate_shader_objects, separate_specular_color, shader_image_load_formatted,
shader_image_load_store, shader_integer_mix, shadow_funcs, sparse_texture2,
stencil_two_side, stencil_wrap, texture3D, texture_array, texture_buffer_ object,
texture_compression_dxtl, texture_compression_latc, texture_compression_rgtc,
texture_compression_s3tc, texture_cube_map, texture_edge_clamp, texture_env_add,
texture_env_combine, texture_env_dot3, texture_filter_anisotropic,
texture_filter_minmax, texture_integer, texture_lod, texture_lod_bias,
texture_mirror_clamp, texture_object, texture_sRGB, texture_sRGB_RS,
texture_sRGB_decode, texture_shadow_lod, texture_shared_exponent,
texture_storage, texture_swizzle, timer_query, transform_feedback2, vertex_array,
vertex_array_bgra, vertex_attrib_64bit, window_rectangles, xl1l_sync_object

EXTX extensions:

framebuffer_mixed_formats

IBM extensions:

rasterpos_clip, texture_mirrored_repeat

KHR extensions:

blend_equation_advanced, blend_equation_advanced_coherent, context_flush_control,
debug, no_error, parallel_shader_compile, robust_buffer_access_behavior,
robustness, shader_subgroup

KTX extensions:

buffer_region

NV extensions:

ES1_1_compatibility, ES3_1_compatibility, alpha_to_coverage_dither_control,
bindless_multi_draw_indirect, bindless_multi_draw_indirect_count,
bindless_texture, blend_equation_advanced, blend_equation_advanced_coherent,
blend_minmax_factor, blend_square, clip_space_w_scaling, command_list,
compute_programb5, conditional_render, conservative_raster,
conservative_raster_dilate, conservative_raster_pre_snap_triangles,
copy_depth_to_color, copy_image, depth_buffer_float, depth_clamp, draw_texture,
draw_vulkan_image, explicit_multisample, feature_query, fence, fill_rectangle,
float_buffer, fog_distance, fragment_coverage_to_color, fragment_program,
fragment_program2, fragment_program_option, fragment_shader_interlock,
framebuffer_mixed_samples, framebuffer_ multisample_coverage, geometry_shader4,
geometry_shader_passthrough, gpu_multicast, gpu_program4, gpu_programé4_1,
gpu_programb5, gpu_programb5_mem_extended, gpu_program_ fp64, gpu_shader5,

half_ float, internalformat_sample_query, light_max_exponent, memory_attachment,
multisample_coverage, multisample_filter_hint, occlusion_query,
packed_depth_stencil, parameter_buffer_object, parameter_buffer_object2,
path_rendering, path_rendering_shared_edge, pixel_data_range, point_sprite,
primitive_restart, query_resource, query_resource_tag, register_combiners,
register_combiners2, robustness_video_memory_purge, sample_locations,
sample_mask_override_coverage, shader_atomic_counters, shader_atomic_float,
shader_atomic_float64, shader_atomic_fpl6_vector, shader_atomic_inté64,
shader_buffer_load, shader_storage_buffer_object, shader_subgroup_partitioned,
shader_thread_group, shader_thread_shuffle, stereo_view_rendering,
texgen_reflection, texture_barrier, texture_compression_vtc,
texture_env_combine4, texture_multisample, texture_rectangle,
texture_rectangle_compressed, texture_shader, texture_shader2, texture_shader3,
transform_feedback, transform_feedback2, uniform_buffer_unified_memory,
vdpau_interop, vdpau_interop2, vertex_array_range, vertex_array_rangez,
vertex_attrib_integer_64bit, vertex_buffer_unified_memory, vertex_program,
vertex_programl_1, vertex_program2, vertex_programZ2_option, vertex_program3,
viewport_array2, viewport_swizzle
NVX extensions:
blend_equation_advanced_multi_draw_buffers, conditional_render, gpu_memory_info,
nvenc_interop, progress_~fence
OVR extensions:
multiview, multiview?2
S3 extensions:
s3tc
SGIS extensions:
generate_mipmap, texture_lod
SGIX extensions:
depth_texture, shadow
SUN extensions:
slice_accum
N Extensions (GLX) :
GLX extensions:
ARB_context_flush_control, ARB_create_context, ARB_create_context_no_error,
ARB_create_context_profile, ARB_create_context_robustness, ARB_fbconfig_ float,
ARB_get_proc_address, ARB_multisample, EXT_buffer_age,
EXT_create_context_es2_profile, EXT_create_context_es_profile,
EXT_framebuffer_ sRGB, EXT_import_context, EXT_stereo_tree, EXT_swap_control,
EXT_swap_control_tear, EXT_texture_from_ pixmap, EXT_visual_info,
EXT_visual_rating, NV_copy_image, NV_delay_before_swap, NV_float_buffer,
NV_multigpu_context, NV_robustness_video_memory_purge, SGIX_fbconfig,
SGIX_pbuffer, SGI_swap_control, SGI_video_sync
Audio configuration:

Music: SDLMixer::Music

SFX: SDLMixer
Using paths.iwaddir: /usr/share/games/doom
libpng warning: iCCP: known incorrect sRGB profile
libpng warning: iCCP: known incorrect sRGB profile
libpng warning: iCCP: known incorrect sRGB profile
libpng warning: iCCP: known incorrect sRGB profile
Locating "HACX - Twitch 'n Kill"...

! hacx.wad: missing

- libdoom.pk3: " (basedir)/data/jdoom/libdoom.pk3"

= Not playable (incomplete resources)
Locating "Chex(R) Quest"...

! chex.wad: missing

— libdoom.pk3: " (basedir)/data/jdoom/libdoom.pk3"

= Not playable (incomplete resources)
Locating "Final DOOM: TNT: Evilution"...

! tnt.wad: missing

- libdoom.pk3: " (basedir)/data/jdoom/libdoom.pk3"

= Not playable (incomplete resources)
Locating "Final DOOM: The Plutonia Experiment"...

! plutonia.wad: missing

— libdoom.pk3: " (basedir)/data/jdoom/libdoom.pk3"

= Not playable (incomplete resources)
Locating "FreeDM"...

! freedm.wad: missing

- libdoom.pk3: " (basedir)/data/jdoom/libdoom.pk3"

= Not playable (incomplete resources)
Locating "DOOM 2: Hell on Earth"...

! doom2.wad or doom2f.wad: missing

— libdoom.pk3: " (basedir)/data/jdoom/libdoom.pk3"

= Not playable (incomplete resources)
Locating "Ultimate DOOM"...

! doom.wad or doomu.wad: missing

— libdoom.pk3: " (basedir)/data/jdoom/libdoom.pk3"

= Not playable (incomplete resources)
Locating "DOOM Registered"...
! doom.wad: missing

— libdoom.pk3: " (basedir)/data/jdoom/libdoom.pk3"

= Not playable (incomplete resources)
Locating "DOOM Shareware"...

! dooml.wad: missing

— libdoom.pk3: " (basedir)/data/jdoom/libdoom.pk3"

= Not playable (incomplete resources)
Locating "Doom 64: Absolution”...

! doom64.wad: missing

- libdoomé64.pk3: " (basedir)/data/jdoom64/libdoom64.pk3"

= Not playable (incomplete resources)
Locating "Heretic: Shadow of the Serpent Riders"...

! heretic.wad: missing

— libheretic.pk3: " (basedir)/data/jheretic/libheretic.pk3"

= Not playable (incomplete resources)
Locating "Heretic Registered"...

! heretic.wad: missing

— libheretic.pk3: " (basedir)/data/jheretic/libheretic.pk3"

= Not playable (incomplete resources)
Locating "Heretic Shareware"...

! hereticl.wad: missing

— libheretic.pk3: " (basedir)/data/jheretic/libheretic.pk3"

= Not playable (incomplete resources)
Locating "Hexen: Deathkings of the Dark Citadel"...

! hexen.wad: missing

! hexdd.wad: missing

— libhexen.pk3: " (basedir)/data/jhexen/libhexen.pk3"

= Not playable (incomplete resources)
Locating "Hexen"...

— libhexen.pk3: " (basedir)/data/jhexen/libhexen.pk3"

! hexen.wad: missing

= Not playable (incomplete resources)
Locating "Hexen v1.0"...

! hexen.wad: missing

— libhexen.pk3: " (basedir)/data/jhexen/libhexen.pk3"

= Not playable (incomplete resources)
Locating "Hexen 4-map Demo"...

! hexen.wad or machexendemo.wad or hexendemo.wad: missing

— libhexen.pk3: " (basedir)/data/jhexen/libhexen.pk3"

= Not playable (incomplete resources)
Locating "Hexen 4-map Beta Demo"...

! hexen.wad or hexenbeta.wad or machexendemo.wad or hexendemo.wad: missing
— libhexen.pk3: " (basedir)/data/jhexen/libhexen.pk3"

= Not playable (incomplete resources)
Def_Read: Parsing definition files...
~ Definitions:
~ 7 materials
ResourceSystem: Model init completed in 0.00 seconds
Game could not be selected automatically
Starting tutorial (not shown before)
MasterWorker: Received 1 servers from master
libpng warning: iCCP: known incorrect sRGB profile
std::bad_alloc
Application terminated due to exception:
std::bad_alloc

Restoring original display mode due to shutdown
Z_Shutdown: Used 1 volumes, total 33554432 bytes.

History

#1 - 2020-12-05 00:14 - noloader

Here is a backtrace under GDB. The program was started with "gdb doomsday". Then a breakpoint was set with “catch throw std::bad_alloc’.
iE]

Thread 1 "doomsday" hit Catchpoint 2 (exception thrown), 0x00007ff£ff4747d1ld in __cxa_throw () from /usr/lib/x8
6_64-linux—-gnu/libstdc++.s0.6
(gdb) bt

#0

#1
#2

#3

#4

#5

#6

#7
#8

0x00007ffff4747d1d in _ cxa_throw ()

at /usr/lib/x86_64-linux—gnu/libstdc++.s0.6

0x00007££££f4d39b32 in () at /usr/lib/x86_64-1linux—-gnu/libQtCore.so.4
0x00007££££7556615 in QVarLengthArray<QChar, 1024>::realloc(int, int) ()
at /usr/lib/games/doomsday/libdeng_core.so.2

0x00007£f£f£f£75568e3 in de::internal::JSONParser::parseString () ()

at /usr/lib/games/doomsday/libdeng_core.so.2

0x00007£f£f££75576e0 in de::internal::JSONParser: :parseObject () ()

at /usr/lib/games/doomsday/libdeng_core.so.2

0x00007£f£££7555¢c50 in de::parsedSON(de::String consté&) ()

at /usr/lib/games/doomsday/libdeng_core.so.2

0x000055555583675c in ()

0x00005555558dcObc in ()

0x00007ffff4e68f70 in QMetaObject::activate (Q0Object*, QMetaObject const*, int, void**) () at /usr/lib/x86_

64-1linux—gnu/libQtCore.so.4

#9

#10
#11

0x00007ffff521dce2 in QNetworkAccessManager: :finished (QNetworkReply*) ()

at /usr/lib/x86_64-linux—gnu/libQtNetwork.so.4

0x00007££££521£052 in () at /usr/lib/x86_64-1linux—-gnu/libQtNetwork.so.4

0x00007£ffff4e68f70 in QMetaObject::activate (QObject*, QMetaObject const*, int, void**) () at /usr/lib/x86_

64-1linux—-gnu/libQtCore.so.4

#12
#13
#14

#15

0x00007££££5240b42 in () at /usr/lib/x86_64-1linux—-gnu/libQtNetwork.so.4

0x00007£f£££52bab05 in () at /usr/lib/x86_64-1linux-gnu/libQtNetwork.so.4

0x00007ffff4ebedll in QObject::event (QEvent*) ()

at /usr/lib/x86_64-1inux—-gnu/libQtCore.so.4

0x00007£ff£f£f56d603c in QApplicationPrivate::notify_helper (QObject*, QEvent*) () at /usr/lib/x86_64-1linux-gn

u/libQtGui.so.4

#16

#17

0x00007ff£f£56dcf76 in QApplication::notify (QObject*, QEvent*) ()
at /usr/lib/x86_64-1linux-gnu/libQtGui.so.4

0x00007ffffeddcdee in de::GuiApp::notify (QObject*, QEvent*) ()
at /usr/lib/games/doomsday/libdeng_gui.so.1l

#18 0x00007ffffd4e548ad in QCoreApplication::notifyInternal (QObject*, QEvent*) () at /usr/lib/x86_64-1linux—-gnu/
libQtCore.so.4

#19 0x00007ffff4e58366 in QCoreApplicationPrivate::sendPostedEvents (QO0bject*, int, QThreadData*) () at /usr/li
b/x86_64-1linux—gnu/libQtCore.so.4

#20 0x00007ffff4e8509e in () at /usr/lib/x86_64-1linux—-gnu/libQtCore.so.4

#21 0x00007fffef30b417 in g_main_context_dispatch ()

#22
#23

at /usr/lib/x86_64-1linux-gnu/libglib-2.0.s0.0

0x00007fffef30b650 in () at /usr/lib/x86_64-1linux-gnu/libglib-2.0.s0.0
0x00007fffef30b6dc in g_main_context_iteration ()

at /usr/lib/x86_64-1linux-gnu/libglib-2.0.s0.0

#24 0x00007ffff4e8520e in QEventDispatcherGlib: :processEvents (QFlags<QEventLoop: :ProcessEventsFlag>) () at /us
r/1lib/x86_64-1linux—gnu/libQtCore.so.4

#25 0x00007f£f££5783666 in () at /usr/lib/x86_64-linux—-gnu/libQtGui.so.4

#26 0x00007ffff4e5312f in QEventLoop::processEvents (QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_

64-1linux—gnu/libQtCore.so.4

#27

0x00007£££f£4e53495 in QEventLoop::exec (QFlags<QEventLoop::ProcessEventsFlag>---Type <return> to continue,

or g <return> to quit---—

) O

#28

#29

#30

at /usr/lib/x86_64-1inux—-gnu/libQtCore.so.4
0x00007£f£f£f£f4e59459 in QCoreApplication::exec() ()
at /usr/lib/x86_64-linux—gnu/libQtCore.so.4
0x00007ffff6ddccc?7 in de::GuiApp: :execLoop () ()
at /usr/lib/games/doomsday/libdeng_gui.so.l
0x00005555555f1565 in main ()

(gdb) c

Continuing.

[Thread Ox7fffdf7£fe700 (LWP 28128) exited]
[Thread 0x7£££52543700 (LWP 28150) exited]

std:
[Thread 0x7f£f£f83f£d700 ( )

[Thread 0x7f£f£9090a700 (LWP 28139) exited]
[Thread 0x7f£££827£a700 ( )

[Thread 0x7fffd58e4700 (

:bad_alloc

LWP 28140) exited]
LWP 28143) exited]
LWP 28129) exited]

Application terminated due to exception:

std::bad_alloc

[Thread Ox7fff82ffb700 (LWP 28142) exited]
[Thread 0x7fff81ff9700 (LWP 28144) exited]
[Thread 0x7f£f£f9110b700 (LWP 28138) exited]

( )
( )
( )
[Thread 0x7£££9190c700 (LWP 28137) exited]
( )
( )
( )
( )

[Thread 0x7f££f£51138700 (LWP 28151) exited]
[Thread 0x7f£f£817£8700 (LWP 28145) exited]
[Thread Ox7fff9f7£fe700 (LWP 28135) exited]
[Thread 0x7f£££9210d4700 (LWP 28136) exited]
[Thread 0x7fff837£fc700 (LWP 28141) exited]
[Thread Ox7fff9fff£f700 (LWP 28133) exited]
[Thread 0x7fffb49a9700 (LWP 28131) exited]
[Thread 0x7fffb49ea700 (LWP 28130) exited]
Restoring original display mode due to shutdown

And frame 2, which is not very helpful:

(gdb) info frame 2
Stack frame at Ox7fffffffc030:
rip = Ox7f£f£f£7556615 in QVarLengthArray<QChar, 1024>::realloc(int, int);
saved rip = 0x7ffff75568e3
called by frame at Ox7fffffffc8d0, caller of frame at Ox7fffffffc000

Arglist at Ox7fffffffbff8, args:
Locals at Ox7fffffffbff8, Previous frame's sp is Ox7fffffffc030

Saved registers:
rbx at Ox7fffffffc000, rbp at Ox7fffffffc008, rl2 at Ox7fffffffc010,
rl3 at Ox7fffffffc018, rl4 at Ox7fffffffc020, rip at Ox7fffffffc028

#2 - 2020-12-06 17:29 - skyjake

Hello, welcome to Doomsday! :)
This is a very old version you are using. 1.15.8 was released about four years ago.

The problem seems to be that it's trying to contact the dengine.net website for information but it receives something that it fails to parse correctly.
Responses from the website have changed during the Doomsday 2.x releases.

We could test this theory if you disable your network connection and try to start Doomsday then.
